"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var N=Object.create;var m=Object.defineProperty,k=Object.defineProperties,A=Object.getOwnPropertyDescriptor,R=Object.getOwnPropertyDescriptors,U=Object.getOwnPropertyNames,f=Object.getOwnPropertySymbols,j=Object.getPrototypeOf,h=Object.prototype.hasOwnProperty,P=Object.prototype.propertyIsEnumerable;var S=(t,e,n)=>e in t?m(t,e,{enumerable:!0,configurable:!0,writable:!0,value:n}):t[e]=n,w=(t,e)=>{for(var n in e||(e={}))h.call(e,n)&&S(t,n,e[n]);if(f)for(var n of f(e))P.call(e,n)&&S(t,n,e[n]);return t},y=(t,e)=>k(t,R(e));var L=(t,e)=>()=>(e||t((e={exports:{}}).exports,e),e.exports);var J=(t,e,n,o)=>{if(e&&typeof e=="object"||typeof e=="function")for(let i of U(e))!h.call(t,i)&&i!==n&&m(t,i,{get:()=>e[i],enumerable:!(o=A(e,i))||o.enumerable});return t};var E=(t,e,n)=>(n=t!=null?N(j(t)):{},J(e||!t||!t.__esModule?m(n,"default",{value:t,enumerable:!0}):n,t));var v=(t,e,n)=>new Promise((o,i)=>{var r=a=>{try{l(n.next(a))}catch(c){i(c)}},u=a=>{try{l(n.throw(a))}catch(c){i(c)}},l=a=>a.done?o(a.value):Promise.resolve(a.value).then(r,u);l((n=n.apply(t,e)).next())});var T=L((ie,C)=>{C.exports=Vue});var s=E(T());var q="onShow",H="onHide";function p(t,e,...n){uni.__log__?uni.__log__(t,e,...n):console[t].apply(console,[...n,e])}var O=t=>(e,n=(0,s.getCurrentInstance)())=>{!s.isInSSRComponentSetup&&(0,s.injectHook)(t,e,n)},B=O(q),M=O(H),V="prod",W={dev:{apiBaseUrl:"https://warehouse.szjixun.cn/oa_backend",h5Url:"http://192.168.88.176:8080/#/"},test:{apiBaseUrl:"https://warehouse.szjixun.cn/oa_backend",h5Url:"http://172.16.100.93:8042/#/"},prod:{apiBaseUrl:"https://oa-a.szjixun.cn/#/",h5Url:"http://oa-a.szjixun.cn/#/"}},$=W[V],_=(t,e,n="onReceive")=>{if(!t){p("error","at utils/communicate/index.js:3","evalJs: The reference to the webview is not provided or is null.");return}if(typeof t.evalJs!="function"){p("error","at utils/communicate/index.js:8","evalJs: The evalJs method is not available on the provided reference.");return}try{let o=JSON.stringify(e),i=`window.${n}(${o})`;t.evalJs(i)}catch(o){p("error","at utils/communicate/index.js:18","evalJs: An error occurred while trying to stringify the parameter value or while invoking evalJs.",o)}},z=t=>t.detail.data[0],{registerUTSInterface:re,initUTSProxyClass:ae,initUTSProxyFunction:D,initUTSPackageName:F,initUTSIndexClassName:K,initUTSClassName:ce}=uni,b="uniRegisterRequestPermissionTips",Q="uni-registerRequestPermissionTips",X="",Y="",I=!0,G=F(b,I),Z=K(b,I),ee=D(!1,{moduleName:Q,moduleType:X,errMsg:Y,main:!0,package:G,class:Z,name:"registerRequestPermissionTipsListenerByJs",params:[{name:"listener",type:"UTSSDKModulesUniRegisterRequestPermissionTipsRequestPermissionTipsListenerJSONObject",default:"UTSNull"}],return:""}),te={content:{"":{display:"flex",flex:1}}},ne=(t,e)=>{let n=t.__vccOpts||t;for(let[o,i]of e)n[o]=i;return n},se={__name:"index",setup(t){let e=(0,s.ref)(null),n=uni.getSystemInfoSync();ee({onRequest:r=>{p("log","at pages/index/index.nvue:35",r)},onConfirm:r=>{_(e.value,{auth:r,open:!0})},onComplete:r=>{let u=["android.permission.ACCESS_COARSE_LOCATION","android.permission.ACCESS_FINE_LOCATION","android.permission.ACCESS_LOCATION_EXTRA_COMMANDS","android.permission.ACCESS_MOCK_LOCATION"];Object.keys(r).some(a=>new Set(u).has(a))&&uni.setStorageSync("P_LOCATION",r),_(e.value,{auth:Object.keys(r),open:!1})}});let o=r=>{r.isConnected?uni.redirectTo({url:"/pages/index/index"}):uni.showToast({title:"\u7F51\u7EDC\u65E0\u8FDE\u63A5",icon:"none"})};B(()=>{uni.onNetworkStatusChange(o)}),M(()=>{uni.offNetworkStatusChange(o)});let i=r=>{switch(z(r).action){case"load-complete":{let l=uni.getSystemInfoSync(),a=uni.getStorageSync("P_LOCATION");if(a&&Object.keys(a).some(x=a[x]==="denied"))return;uni.getLocation({type:"gcj02",geocode:!1,isHighAccuracy:!1,success:c=>v(this,null,function*(){_(e.value,y(w({},c),{systemInfo:l,webViewRef:e.value}))}),fail:c=>{p("log","at pages/index/index.nvue:87",c)}})}}};return(r,u)=>((0,s.openBlock)(),(0,s.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,s.createElementVNode)("div",{class:"content"},[(0,s.createElementVNode)("u-web-view",{class:"webview","on:onPostMessage":i,style:(0,s.normalizeStyle)({height:`${(0,s.unref)(n).windowHeight}px`,width:`${(0,s.unref)(n).windowWidth}`}),ref_key:"webViewRef",ref:e,src:(0,s.unref)($).h5Url},null,44,["src"])])]))}},d=ne(se,[["styles",[te]]]);var g=plus.webview.currentWebview();if(g){let t=parseInt(g.id),e="pages/index/index",n={};try{n=JSON.parse(g.__query__)}catch(i){}d.mpType="page";let o=Vue.createPageApp(d,{$store:getApp({allowDefault:!0}).$store,__pageId:t,__pagePath:e,__pageQuery:n});o.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...d.styles||[]])),o.mount("#root")}})();
